XAMPP 1.8.0 fissare phpMyAdmin dopo l'aggiornamento

Pochi giorni fuori XAMPP 1.8.0 ieri dopo l'aggiornamento dalla versione 1.7.7 Ho avuto un problema abbastanza interessante. PhpMyAdmin-e lui non si apre e scoppiò a 403

Accesso vietato!


Nuovo concetto di sicurezza XAMPP:

L'accesso alla oggetto richiesto è disponibile solo dalla rete locale.

Questa impostazione può essere configurata nel file “httpd-xampp.conf”.

Immediatamente aperto httpd-xampp.conf che per me è in / opt / lampp / etc / extra /, A prima vista tutto sembrava bene. Le regole per rete locale sono stati tra. A parte il localhost apertura. WTF ??? Ho guardato il log-e vedo che il mio accesso è tagliato fuori dalla konfiguatsiyata. Ecco ora che cosa Ansimai e francamente un po 'meno fortuna trovato il problema. Dopo aver attraversato httpd.conf-e vide in Consenti / Nega clausole un'ultima ordine Richiede tutto scontato. Oh eureka. Si tratta di un nuovo meccanismo di controllo che è entrato in Apache 2.4. x. Dà accesso o rifiutando qualsiasi tale fine, fondamentalmente imita Consenti / Nega funzionalità :). Per risolvere il problema aggiungere Richiede tutte le direttive concessi per la cartella / opt / lampp / phpmyadmin. Dopo i cambiamenti in me assomiglia

<elenco “/opt / lampp / phpMyAdmin”>
AllowOverride AuthConfig Limite
Order consentire,negare
Consentire da tutto
Richiede tutto scontato
</elenco>

 

Viangi può provare con un altro selvaggio, Ad esempio, per rinominare la cartella phpMyAdmin qualcosa di diverso e non fare alias. Ma è brutto e non molto significativo 🙂

P.S Mi hanno chiesto perché io uso XAMPP non pulire l'installazione di tutti i componenti come loro è il mio Debian born – La risposta è molto semplice – pigrizia. Mi pigro per scrivere alcuni comandi poi toccato il suo konfovete etc.. Molto più facile sta colpendo l'intero pacchetto e decomprimere si accende 😉

Arricchito da Zemanta

lascia un commento

L'indirizzo email non verrà pubblicato. i campi richiesti sono contrassegnati *

Anti Spam *